Bug 260956 (poppler-22.01.0) - [exp-run] Update graphics/poppler to 22.01
Summary: [exp-run] Update graphics/poppler to 22.01
Status: New
Alias: poppler-22.01.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-05 16:37 UTC by Tobias C. Berner
Modified: 2022-03-29 12:45 UTC (History)
1 user (show)

See Also:
tcberner: exp-run?


Attachments
v1 (2.28 KB, patch)
2022-01-05 16:37 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2022-01-05 16:37:16 UTC
Created attachment 230733 [details]
v1

Moin moin 

desktop@ would like to ask for an exp-run to upgrade graphics/poppler to 22.01.

The patch is attached, and can also be found here:

https://people.freebsd.org/~tcberner/patches/0001-graphics-poppler-update-to-22.01.patch


mfg Toibas
Comment 2 commit-hook freebsd_committer 2022-01-21 21:42:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bb2ef4e129b0adb327e14abbc012e1cd39cea56d

commit bb2ef4e129b0adb327e14abbc012e1cd39cea56d
Author:     Adriaan de Groot <adridg@FreeBSD.org>
AuthorDate: 2022-01-11 22:43:27 +0000
Commit:     Adriaan de Groot <adridg@FreeBSD.org>
CommitDate: 2022-01-21 21:41:05 +0000

    converters/pdf2djvu: switch to C++17 for upcoming poppler, -XMP option

    This is a "fix-it-before-it-breaks" commit.

    The issue is the upcoming updating for graphics/poppler. It *requires*
    consumers to be C++17 or later. Previously it was ok with C++11 or
    later. However, graphics/exiv2 is incompatible with C++17 in many
    ways; there's work on a new release that is compatible, but that's
    not out yet and not really applicable to the exiv2 version found
    in ports. (As an example of things-that-change, "register" is a
    keyword in C, which informs the storage class of a variable; in C++
    up to C++17 it was possibly-meaningful but deprecated while in C++17
    it is a reserved keyword but not allowed for storage class; any
    `register int x` is now a syntax error and patching that up outside
    of upstream repos is no fun at all).

    Mark XMP option broken because it pulls in (for the option)
    graphics/exiv2, while graphics/poppler is always needed.

    PR:     260956

 converters/pdf2djvu/Makefile | 15 ++++++---------
 converters/pdf2djvu/distinfo |  6 +++---
 2 files changed, 9 insertions(+), 12 deletions(-)
Comment 3 commit-hook freebsd_committer 2022-01-21 21:42:46 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6880d50e132d02fea3d8272a7109ae85ae5a2419

commit 6880d50e132d02fea3d8272a7109ae85ae5a2419
Author:     Adriaan de Groot <adridg@FreeBSD.org>
AuthorDate: 2022-01-17 18:33:00 +0000
Commit:     Adriaan de Groot <adridg@FreeBSD.org>
CommitDate: 2022-01-21 21:41:06 +0000

    editors/calligra: switch to C++17 for upcoming poppler

    This is a fix-it-before-it-breaks commit. Upcoming poppler update
    requires C++17 in consumers, while Calligra was fixed on C++14.
    There is no upstream release for this.

    This is a mess: the upstream repo contains fixes, but they're
    mostly committed as "fix warnings" and many commits combine C++17-
    related fixes with other bits and pieces. As a result, there's
    some direct upstream patches now in files/ and a big glommed-
    together one put together from parts of other commits.

    PR:     260956

 editors/calligra/Makefile                          |    2 +-
 ...d9aec11052733e393976142516d2190e4564.diff (new) |   46 +
 ...d9cd114db9d97e28e31869919bba545a979d.diff (new) |  127 ++
 editors/calligra/files/patch-CMakeLists.txt        |   26 +-
 editors/calligra/files/patch-cxx17.diff (new)      | 1421 ++++++++++++++++++++
 5 files changed, 1616 insertions(+), 6 deletions(-)
Comment 4 commit-hook freebsd_committer 2022-01-21 21:42:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9dc9eb71e509c136098ed08eff0294eeb2a226e6

commit 9dc9eb71e509c136098ed08eff0294eeb2a226e6
Author:     Adriaan de Groot <adridg@FreeBSD.org>
AuthorDate: 2022-01-17 18:31:25 +0000
Commit:     Adriaan de Groot <adridg@FreeBSD.org>
CommitDate: 2022-01-21 21:41:06 +0000

    print/scribus-devel: switch to C++17 for upcoming poppler

    This is a fix-it-before-it-breaks commit. Upcoming poppler requires
    consumers to build as C++17. Switch to that, and pull in an
    upstream patch that fixes the Scribus build in C++17.

    PR:     260956

 print/scribus-devel/Makefile                       |  8 +++--
 ...e8142844a7ee70ddff95253d0299896bcc16.diff (new) | 38 ++++++++++++++++++++++
 2 files changed, 43 insertions(+), 3 deletions(-)
Comment 5 commit-hook freebsd_committer 2022-03-29 12:45:42 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b71f7e3faa7181387717df55cfd009db723b3d71

commit b71f7e3faa7181387717df55cfd009db723b3d71
Author:     Adriaan de Groot <adridg@FreeBSD.org>
AuthorDate: 2022-03-28 19:20:06 +0000
Commit:     Adriaan de Groot <adridg@FreeBSD.org>
CommitDate: 2022-03-29 12:44:53 +0000

    graphics/gdal: switch to C++17 for upcoming poppler

    This is a fix-it-before-it-breaks for a poppler update that requires
    consumers (like gdal) to compile in C++17 mode.

    PR:             260956

 graphics/gdal/Makefile | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)